package com.android.displayimage;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.SurfaceHolder;
import android.view.SurfaceView;

public class ImageView extends SurfaceView implements SurfaceHolder.Callback {
	private Bitmap mImgBack0;
	private Bitmap mImgBack1;
	private Bitmap mImgBack21;
	private Bitmap mImgBack31;
    private int mPlayerWidth;
    private int mPlayerHeight;
    private Drawable mFrontImage[] = new Drawable[4];

    Canvas mCanvas = null;
    SurfaceHolder mHolder = getHolder();
    
	public ImageView(Context context, AttributeSet attrs) {
		super(context, attrs);
		
		mHolder.addCallback(this);

		// TODO Auto-generated constructor stub
        Resources res = context.getResources();

        mFrontImage[0] = context.getResources().getDrawable(
                R.drawable.front01);
        mFrontImage[1] = context.getResources().getDrawable(
                R.drawable.front02);
        mFrontImage[2] = context.getResources().getDrawable(
                R.drawable.front03);
        mFrontImage[3] = context.getResources().getDrawable(
                R.drawable.front04);

        // load background image as a Bitmap instead of a Drawable b/c
        // we don't need to transform it and it's faster to draw this way
        mImgBack0 = BitmapFactory.decodeResource(res,
                R.drawable.img0);
        mImgBack1 = BitmapFactory.decodeResource(res,
                R.drawable.img1);
        mImgBack21 = BitmapFactory.decodeResource(res,
                R.drawable.img21);
        mImgBack31 = BitmapFactory.decodeResource(res,
                R.drawable.img31);

        // Use the regular lander image as the model size for all sprites
        mPlayerWidth = mFrontImage[1].getIntrinsicWidth();
        mPlayerHeight = mFrontImage[1].getIntrinsicHeight();
	}

	@Override
	public void draw(Canvas canvas) {
		// TODO Auto-generated method stub
		super.draw(canvas);
		
		canvas.drawBitmap(mImgBack0, 0, 0, null);
        canvas.drawBitmap(mImgBack1, 0, 90, null);
        canvas.drawBitmap(mImgBack21, 0, 190, null);
        canvas.drawBitmap(mImgBack31, 0, 310, null);

        for(int i=0; i<4; i++){
        	mFrontImage[i].setBounds(40+60*i, 360, 40+60*i+mPlayerWidth, 360+mPlayerHeight);
        	mFrontImage[i].draw(canvas);
        }     				
	}

	public void surfaceCreated(SurfaceHolder holder) {
		// TODO Auto-generated method stub
        try {                        
        	mCanvas = mHolder.lockCanvas(null);
            draw(mCanvas);
        } finally {
            if (mCanvas != null) {
            	mHolder.unlockCanvasAndPost(mCanvas);
            }
        }
	}

	public void surfaceChanged(SurfaceHolder arg0, int arg1, int arg2, int arg3) {
		// TODO Auto-generated method stub        
	}

	public void surfaceDestroyed(SurfaceHolder holder) {
		// TODO Auto-generated method stub

	}

}
